de.caff.generics

## Interface MutableShortIndexable

- All Superinterfaces:
    Copyable<MutableShortIndexable>, java.lang.Iterable<java.lang.Short>, PrimitiveShortIterable, ShortIndexable, Sizeable
  All Known Implementing Classes:
    MutableShortIndexable.Base

      public interface MutableShortIndexable
      extends ShortIndexable, Copyable<MutableShortIndexable>

  Primitive short indexable with fixed length but mutable content. This may be used as a substitute for `short[]` as it e.g. allows read-only views or transparent views of subsets of the array.
  Since:
    November 01, 2019
  Author:
    Rammi

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `MutableShortIndexable.Base` Abstract base class which provides useful implementations for `Object.equals(Object)`, `Object.hashCode()`, `Object.toString()`.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static MutableShortIndexable.Base` | `EMPTY` Empty mutable indexable.

    - ### Fields inherited from interface de.caff.generics.ShortIndexable

      `SINGLE_0`

    - ### Fields inherited from interface de.caff.generics.PrimitiveShortIterable

      `EMPTY_SHORT_ITERATOR`

    - ### Fields inherited from interface de.caff.generics.Sizeable

      `NULL`

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `default java.util.List<java.lang.Short>` | `asList()` View this indexable as a standard list.
    `static MutableShortIndexable.Base` | `based(MutableShortIndexable indexable)` View any mutable short indexable as a base short indexable.
    `static <IN> MutableShortIndexable.Base` | `copy(java.util.Collection<IN> collection, java.util.function.Function<IN,java.lang.Number> copier)` Create a mutable indexable which is initialized from copied elements of a given collection.
    `default void` | `copyInternally(int fromIndex, int toIndex, int numElements)` Copy elements inside this indexable.
    `static MutableShortIndexable.Base` | `copyOf(java.util.Collection<? extends java.lang.Number> collection)` Create a mutable indexable which is initialized from a given collection.
    `static MutableShortIndexable.Base` | `empty()`
    `default void` | `fillFrom(IntToShortFunction1 provider)` Fill this indexable from a provider.
    `static MutableShortIndexable.Base` | `fromArray(short... elements)` Create a mutable indexable which is initialized from elements of the given array.
    `static MutableShortIndexable.Base` | `fromArray(short[] elements, int startIndex, int length)` Create a mutable indexable which is initialized from elements of the given array.
    `static MutableShortIndexable.Base` | `fromByteIndexable(ByteIndexable indexable)` Return a mutable short indexable initialized with the content of a standard byte indexable.
    `static MutableShortIndexable.Base` | `fromDoubleIndexable(DoubleIndexable indexable)` Return a mutable short indexable initialized with the content of a standard double indexable.
    `static MutableShortIndexable.Base` | `fromFloatIndexable(FloatIndexable indexable)` Return a mutable short indexable initialized with the content of a standard float indexable.
    `static MutableShortIndexable.Base` | `fromIndexable(Indexable<? extends java.lang.Number> indexable)` Create a mutable indexable which is the copy of a standard indexable.
    `static <B> MutableShortIndexable.Base` | `fromIndexable(Indexable<B> indexable, java.util.function.Function<? super B,? extends java.lang.Number> converter)` Create a mutable indexable which is the copy of a standard indexable.
    `static MutableShortIndexable.Base` | `fromIntIndexable(IntIndexable indexable)` Return a mutable short indexable initialized with the content of a standard int indexable.
    `static MutableShortIndexable.Base` | `fromIterable(int size, java.lang.Iterable<? extends java.lang.Number> iter)` Create a mutable indexable from an iterable or a part of it.
    `static MutableShortIndexable.Base` | `fromLongIndexable(LongIndexable indexable)` Return a mutable short indexable initialized with the content of a standard long indexable.
    `static MutableShortIndexable.Base` | `fromShortIndexable(ShortIndexable indexable)` Return a mutable short indexable initialized with the content of a standard short indexable.
    `default MutableShortIndexable` | `getCopy()` Get a copy of this object.
    `default MutableShortIndexable.Base` | `headSet(int toIndex)` Create an indexable subset from the last elements of this indexable set.
    `static MutableShortIndexable.Base` | `init(int size, short value)` Create a mutable
    `static MutableShortIndexable.Base` | `init(int size, java.util.function.Supplier<? extends java.lang.Number> creator)` Initialize a mutable indexable to a given size.
    `static MutableShortIndexable.Base` | `initByIndex(int size, IntToShortFunction1 producer)` Get a mutable short indexable of a given size which contains elements created by index.
    `default void` | `initByIndex(IntToShortFunction1 setter)` Set all values of this short indexable by index.
    `default void` | `order()` Sort the elements in this indexable in their natural order.
    `default void` | `order(ShortOrdering ordering)` Sort the elements in this indexable according to the given ordering.
    `default MutableShortIndexable.Base` | `reverse()` Get this indexable but with inverted order.
    `default void` | `revert()` Revert the elements in this indexable.
    `default void` | `revert(int from, int to)` Revert the order of all elements in the given range.
    `void` | `set(int index, short value)` Set the element at the given index.
    `default int` | `setFrom(java.lang.Iterable<? extends java.lang.Number> iterable)` Set the values of this mutable short indexable one after the other from the given Number iterable until either the iterable is emptied or `Sizeable.size()` elements are set.
    `default int` | `setFrom(java.lang.Iterable<? extends java.lang.Number> iterable, int startIndex, int numElements)` Set the values of this mutable short indexable one after the other from the given iterable until either the iterable is emptied or `numElements` elements are set.
    `default void` | `setFromArray(short[] array, int arrayIndex, int startIndex, int numElements)` Set consecutive entries from an array.
    `default void` | `setMulti(int from, int len, short value)` Set multiple elements to the same value.
    `default void` | `shuffle(java.util.Random random)` Randomize the content of this mutable indexable.
    `default MutableShortIndexable.Base` | `subSet(int fromIndex, int toIndex)` Get an indexable subset.
    `default void` | `swap(int idx1, int idx2)` Swap the values at two indices.
    `default void` | `swyp(int idx1, int idx2)` Swap the values at two indices using Pythonesque indices.
    `default MutableShortIndexable.Base` | `sybSet(int fromIndex, int toIndex)` Get an indexable subset.
    `default void` | `syt(int index, short value)` Pythonesque set.
    `default MutableShortIndexable.Base` | `tailSet(int fromIndex)` Create an indexable subset from the last elements of this indexable set.
    `default MutableIntIndexable.Base` | `toMutableIntIndexable()` Convert this mutable short array into an integer array.
    `static MutableShortIndexable.Base` | `viewArray(short[] array)` Mutable indexable view which operates on the given array.
    `static MutableShortIndexable.Base` | `viewArray(short[] array, int start, int length)` Mutable indexable view which operates on a part of the given array.
    `static <T> MutableShortIndexable.Base` | `viewIndexable(Indexable<T> indexable, ToShortFunction<? super T> getter, ShortSetter<? super T> setter)` View a generic indexable as a mutable short indexable by accessing a short property of the elements of the underlying generic indexable.
    `static MutableShortIndexable.Base` | `viewList(java.util.List<java.lang.Short> list)` Mutable indexable view which operates on the given array.
    `static MutableShortIndexable.Base` | `zeroed(int size)` Create a mutable short indexable with `size` `0.0` elements.

    - ### Methods inherited from interface de.caff.generics.ShortIndexable

      `addAllTo, addToArray, addToArray, addToArray, addToArray, asBase, asCollection, asIndexable, asIntIndexable, asUnsignedIndexable, binarySearch, binarySearch, compare, compareUnsigned, emptyIndexable, equal, equal, firstMatch, foldLeft, frozen, get, getMod, gyt, hash, indexes, intIndexes, intIterator, isEmpty, isOrdered, isOrdered, isStrictlyOrdered, isStrictlyOrdered, iterator, lastMatch, listIterator, nextMatch, ordered, ordered, previousMatch, rotated, shortIterator, shortIterator, singleton, toArray, toIntArray, toList, toString, view, viewArray, viewAsBoolean, viewAsByte, viewAsDouble, viewAsFloat, viewAsInt, viewAsLong, viewAsUnsignedInt, viewAsUnsignedLong, viewByIndex, viewIndexable, viewIndexable, viewIndexable, viewList, viewList, viewList, viewNumberArray, viewOp, withAppendedValue, withCachedHash, withExchangedValueAt, withInsertedValueAt, withRemovedValueAt, withSwappedValuesAt`

    - ### Methods inherited from interface de.caff.generics.PrimitiveShortIterable

      `asIntIterable, asLongIterable, asUnsignedIntIterable, asUnsignedLongIterable, containsShort, forEachShort, forEachShortFragile`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach, spliterator`

    - ### Methods inherited from interface de.caff.generics.Sizeable

      `size`

    - ### Methods inherited from interface de.caff.generics.Copyable

      `copy`

- - ### Field Detail

    - #### EMPTY

          static final MutableShortIndexable.Base EMPTY

      Empty mutable indexable. Use `empty()` instead.

  - ### Method Detail

    - #### set

          void set(int index,
                   short value)

      Set the element at the given index.
      Parameters:
        `index` - index between `0` and `size() - 1`
        `value` - value to put to the given index

    - #### syt

          default void syt(int index,
                           short value)

      Pythonesque set. This allows to access elements from the back by using negative indexes, e.g. `-1` references the last element, `-2` its predecessor, and so on.
      Parameters:
        `index` - index between `-size()` and `size() - 1`
        `value` - value to put to the given index

    - #### setFrom

          default int setFrom(@NotNull
                              java.lang.Iterable<? extends java.lang.Number> iterable)

      Set the values of this mutable short indexable one after the other from the given Number iterable until either the iterable is emptied or `Sizeable.size()` elements are set.
      Parameters:
        `iterable` - iterable from which this indexable is filled
      Returns:
        number of elements set

    - #### setFrom

          default int setFrom(@NotNull
                              java.lang.Iterable<? extends java.lang.Number> iterable,
                              int startIndex,
                              int numElements)

      Set the values of this mutable short indexable one after the other from the given iterable until either the iterable is emptied or `numElements` elements are set.
      Parameters:
        `iterable` - iterable from which this indexable is filled
        `startIndex` - start index where the setting begins
        `numElements` - number of elements to set
      Returns:
        number of elements set

    - #### setFromArray

          default void setFromArray(@NotNull
                                    short[] array,
                                    int arrayIndex,
                                    int startIndex,
                                    int numElements)

      Set consecutive entries from an array. This will set less elements
      Parameters:
        `array` - array with elements to set from
        `arrayIndex` - start index in the array
        `startIndex` - start index in this mutable indexable
        `numElements` - number of elements to copy
      Throws:
        `java.lang.IndexOutOfBoundsException` - if this mutable indexable would overflow by this operation
        `java.lang.ArrayIndexOutOfBoundsException` - if array overflows by this operation

    - #### setMulti

          default void setMulti(int from,
                                int len,
                                short value)

      Set multiple elements to the same value.
      Parameters:
        `from` - first index to be set (Pythonesque)
        `len` - number of elements to be set (non-negative)
        `value` - value to be set

    - #### copyInternally

          default void copyInternally(int fromIndex,
                                      int toIndex,
                                      int numElements)

      Copy elements inside this indexable.
      Parameters:
        `fromIndex` - start index from where elements are copied (Pythonesque)
        `toIndex` - start index to where elements are copied (Pythonesque)
        `numElements` - number of elements to copy

    - #### fillFrom

          default void fillFrom(@NotNull
                                IntToShortFunction1 provider)

      Fill this indexable from a provider.
      Parameters:
        `provider` - provider which is called for each index and provides the element for that index

    - #### swap

          default void swap(int idx1,
                            int idx2)

      Swap the values at two indices.
      Parameters:
        `idx1` - first index
        `idx2` - second index

    - #### swyp

          default void swyp(int idx1,
                            int idx2)

      Swap the values at two indices using Pythonesque indices.
      Parameters:
        `idx1` - first index (`Pythonesque`)
        `idx2` - second index (`Pythonesque`)

    - #### subSet

          @NotNull
          default MutableShortIndexable.Base subSet(int fromIndex,
                                                             int toIndex)

      Description copied from interface: `ShortIndexable`
      Get an indexable subset. The subset includes indices `fromIndex` to `toIndex - 1`.
      Specified by:
        `subSet` in interface `ShortIndexable`
      Parameters:
        `fromIndex` - start index of sub set
        `toIndex` - index after last index
      Returns:
        indxable subset view of this indexable

    - #### sybSet

          @NotNull
          default MutableShortIndexable.Base sybSet(int fromIndex,
                                                             int toIndex)

      Description copied from interface: `ShortIndexable`
      Get an indexable subset. This is the Pythonesque version which allows negative indexes.
      Specified by:
        `sybSet` in interface `ShortIndexable`
      Parameters:
        `fromIndex` - start index of sub set
        `toIndex` - end index of sub set
      Returns:
        indexable subset view of this indexable set

    - #### tailSet

          @NotNull
          default MutableShortIndexable.Base tailSet(int fromIndex)

      Description copied from interface: `ShortIndexable`
      Create an indexable subset from the last elements of this indexable set. This already allows Pythonesquew indexing.
      Specified by:
        `tailSet` in interface `ShortIndexable`
      Parameters:
        `fromIndex` - index to start with, negative counts from the back
      Returns:
        indexable subset view of this indexable set

    - #### headSet

          @NotNull
          default MutableShortIndexable.Base headSet(int toIndex)

      Description copied from interface: `ShortIndexable`
      Create an indexable subset from the last elements of this indexable set. This already allows Pythonesquew indexing.
      Specified by:
        `headSet` in interface `ShortIndexable`
      Parameters:
        `toIndex` - index one after the end (equal to the length of the returned set), negative counts from the back
      Returns:
        indexable subset view of this indexable set

    - #### reverse

          @NotNull
          default MutableShortIndexable.Base reverse()

      Description copied from interface: `ShortIndexable`
      Get this indexable but with inverted order.
      Specified by:
        `reverse` in interface `ShortIndexable`
      Returns:
        a view to this indexable which accesses the elements in reverse order

    - #### initByIndex

          default void initByIndex(@NotNull
                                   IntToShortFunction1 setter)

      Set all values of this short indexable by index.
      Parameters:
        `setter` - setter which provides the value to be set for a given index

    - #### revert

          default void revert(int from,
                              int to)

      Revert the order of all elements in the given range. Attention: the `to` element is also included in the reversion to allow easy reversion at the end by using `-1`.
      Parameters:
        `from` - start element of reversion (Pythonesque), included
        `to` - end element of reversion (Pythonesque), included

    - #### revert

          default void revert()

      Revert the elements in this indexable. This reverts the order of all elements.

    - #### order

          default void order()

      Sort the elements in this indexable in their natural order.

    - #### order

          default void order(@NotNull
                             ShortOrdering ordering)

      Sort the elements in this indexable according to the given ordering.
      Parameters:
        `ordering` - sort order

    - #### shuffle

          default void shuffle(@NotNull
                               java.util.Random random)

      Randomize the content of this mutable indexable. This will reorder the elements randomly.
      Parameters:
        `random` - random number generator

    - #### toMutableIntIndexable

          @NotNull
          default MutableIntIndexable.Base toMutableIntIndexable()

      Convert this mutable short array into an integer array.

      It is recommended to do this when this indexable is heavily used.

      Returns:
        mutable int indexable copy of this short indexable

    - #### asList

          @NotNull
          default java.util.List<java.lang.Short> asList()

      View this indexable as a standard list. Overwritten to allow for modifications. The returned list will allow usage of the `List.set(int, Object)` method, but neither any adding nor deleting methods. Standard sorting algorithms will work on the returned list as a sorting algorithm is expected to neither move nor add elements.
      Specified by:
        `asList` in interface `ShortIndexable`
      Returns:
        list allowing setting elements
      See Also:
        `ShortIndexable.toList()`

    - #### getCopy

          @NotNull
          default MutableShortIndexable getCopy()

      Description copied from interface: `Copyable`
      Get a copy of this object. Immutable objects are allowed to return themselves. The copy needs not to be of the same class, it just has to fulfill the type restriction.
      Specified by:
        `getCopy` in interface `Copyable<MutableShortIndexable>`
      Returns:
        independent copy of this object

    - #### based

          @NotNull
          static MutableShortIndexable.Base based(@NotNull
                                                           MutableShortIndexable indexable)

      View any mutable short indexable as a base short indexable. The latter provides various standard methods for comparison, output and hanshing.
      Parameters:
        `indexable` - mutqable short indexable to view as a `MutableShortIndexable.Base` mutable short indexable
      Returns:
        base view of given indexable, or the indexable itself if it is already a Base

    - #### init

          @NotNull
          static MutableShortIndexable.Base init(int size,
                                                          @NotNull
                                                          java.util.function.Supplier<? extends java.lang.Number> creator)

      Initialize a mutable indexable to a given size.
      Parameters:
        `size` - size of indexable
        `creator` - creator for the initial elements
      Returns:
        mutable indexable with the given size
      See Also:
        `zeroed(int)`, `init(int, short)`

    - #### initByIndex

          @NotNull
          static MutableShortIndexable.Base initByIndex(int size,
                                                                 @NotNull
                                                                 IntToShortFunction1 producer)

      Get a mutable short indexable of a given size which contains elements created by index.
      Specified by:
        `initByIndex` in interface `ShortIndexable`
      Parameters:
        `size` - size of the returned indexable
        `producer` - producer which is called with an index and expected to return the associated value
      Returns:
        a mutable short indexable with the given size with elements initialized by calling the `producer`
      See Also:
        `ShortIndexable.viewByIndex(int, IntToShortFunction1)`

    - #### copyOf

          @NotNull
          static MutableShortIndexable.Base copyOf(@NotNull
                                                            java.util.Collection<? extends java.lang.Number> collection)

      Create a mutable indexable which is initialized from a given collection.
      Parameters:
        `collection` - collection
      Returns:
        mutable indexable

    - #### copy

          @NotNull
          static <IN> MutableShortIndexable.Base copy(@NotNull
                                                               java.util.Collection<IN> collection,
                                                               @NotNull
                                                               java.util.function.Function<IN,java.lang.Number> copier)

      Create a mutable indexable which is initialized from copied elements of a given collection.
      Type Parameters:
        `IN` - incoming element type
      Parameters:
        `collection` - collection
        `copier` - element copier
      Returns:
        mutable indexable

    - #### empty

          @NotNull
          static MutableShortIndexable.Base empty()

    - #### fromArray

          @NotNull
          static MutableShortIndexable.Base fromArray(@NotNull
                                                               short... elements)

      Create a mutable indexable which is initialized from elements of the given array.
      Parameters:
        `elements` - elements
      Returns:
        mutable indexable independent of `elements`

    - #### fromArray

          @NotNull
          static MutableShortIndexable.Base fromArray(@NotNull
                                                               short[] elements,
                                                               int startIndex,
                                                               int length)

      Create a mutable indexable which is initialized from elements of the given array.
      Parameters:
        `elements` - array of elements
        `startIndex` - index of first element used in the returned indxable
        `length` - length number of elements used in the returned indexable
      Returns:
        mutable indexable independent from `elements`

    - #### viewArray

          @NotNull
          static MutableShortIndexable.Base viewArray(@NotNull
                                                               short[] array)

      Mutable indexable view which operates on the given array. Any changes done by the returned indexable will be forwarded to the array.
      Specified by:
        `viewArray` in interface `ShortIndexable`
      Parameters:
        `array` - array
      Returns:
        mutable indexable view of the given array

    - #### viewArray

          @NotNull
          static MutableShortIndexable.Base viewArray(@NotNull
                                                               short[] array,
                                                               int start,
                                                               int length)

      Mutable indexable view which operates on a part of the given array.
      Specified by:
        `viewArray` in interface `ShortIndexable`
      Parameters:
        `array` - array
        `start` - start position in array
        `length` - length of returned indexable
      Returns:
        mutable short indexable view of the given part of the array

    - #### viewList

          @NotNull
          static MutableShortIndexable.Base viewList(@NotNull
                                                              java.util.List<java.lang.Short> list)

      Mutable indexable view which operates on the given array. Any changes done by the returned indexable will be forwarded to the list.
      Parameters:
        `list` - list
      Returns:
        mutable indexable view of the given list

    - #### fromIndexable

          @NotNull
          static MutableShortIndexable.Base fromIndexable(@NotNull
                                                                   Indexable<? extends java.lang.Number> indexable)

      Create a mutable indexable which is the copy of a standard indexable.
      Parameters:
        `indexable` - standard indexable
      Returns:
        mutable indexable initialize from the standard indexable

    - #### fromIndexable

          @NotNull
          static <B> MutableShortIndexable.Base fromIndexable(@NotNull
                                                                       Indexable<B> indexable,
                                                                       @NotNull
                                                                       java.util.function.Function<? super B,? extends java.lang.Number> converter)

      Create a mutable indexable which is the copy of a standard indexable. This especieally allows to copy each element during the initialization.
      Type Parameters:
        `B` - element type of incoming idexable
      Parameters:
        `indexable` - base indexable
        `converter` - converter from base indexable type to result element type,
      Returns:
        mutable indexable

    - #### viewIndexable

          @NotNull
          static <T> MutableShortIndexable.Base viewIndexable(@NotNull
                                                                       Indexable<T> indexable,
                                                                       @NotNull
                                                                       ToShortFunction<? super T> getter,
                                                                       @NotNull
                                                                       ShortSetter<? super T> setter)

      View a generic indexable as a mutable short indexable by accessing a short property of the elements of the underlying generic indexable.

      This is useful if you have complex items, but are interested into only one (short) property of each item.

      Type Parameters:
        `T` - element type of the underlying indexable
      Parameters:
        `indexable` - underlying generic indexable
        `getter` - function used to extract the property of interest
        `setter` - procedure used to set the property of interest
      Returns:
        mutable short indexable view of the underlying indexable

    - #### fromDoubleIndexable

          @NotNull
          static MutableShortIndexable.Base fromDoubleIndexable(@NotNull
                                                                         DoubleIndexable indexable)

      Return a mutable short indexable initialized with the content of a standard double indexable. This will cast the incoming double values and result in a loss of accuracy.
      Parameters:
        `indexable` - double indexable
      Returns:
        mutable indexable initialized with the values of the given double indexable

    - #### fromFloatIndexable

          @NotNull
          static MutableShortIndexable.Base fromFloatIndexable(@NotNull
                                                                        FloatIndexable indexable)

      Return a mutable short indexable initialized with the content of a standard float indexable. This will cast the incoming float values and result in a loss of accuracy.
      Parameters:
        `indexable` - float indexable
      Returns:
        mutable indexable initialized with the values of the given float indexable

    - #### fromLongIndexable

          @NotNull
          static MutableShortIndexable.Base fromLongIndexable(@NotNull
                                                                       LongIndexable indexable)

      Return a mutable short indexable initialized with the content of a standard long indexable. This will cast long values to short.
      Parameters:
        `indexable` - long indexable
      Returns:
        mutable indexable initialized with the values of the given long indexable

    - #### fromIntIndexable

          @NotNull
          static MutableShortIndexable.Base fromIntIndexable(@NotNull
                                                                      IntIndexable indexable)

      Return a mutable short indexable initialized with the content of a standard int indexable. This will result in a loss of accuracy for various values.
      Parameters:
        `indexable` - int indexable
      Returns:
        mutable indexable initialized with the values of the given int indexable

    - #### fromShortIndexable

          @NotNull
          static MutableShortIndexable.Base fromShortIndexable(@NotNull
                                                                        ShortIndexable indexable)

      Return a mutable short indexable initialized with the content of a standard short indexable.
      Parameters:
        `indexable` - short indexable
      Returns:
        mutable indexable initialized with the values of the given short indexable

    - #### fromByteIndexable

          @NotNull
          static MutableShortIndexable.Base fromByteIndexable(@NotNull
                                                                       ByteIndexable indexable)

      Return a mutable short indexable initialized with the content of a standard byte indexable.
      Parameters:
        `indexable` - long indexable
      Returns:
        mutable indexable initialized with the values of the given byte indexable

    - #### fromIterable

          @NotNull
          static MutableShortIndexable.Base fromIterable(int size,
                                                                  @NotNull
                                                                  java.lang.Iterable<? extends java.lang.Number> iter)

      Create a mutable indexable from an iterable or a part of it.
      Parameters:
        `size` - maximum size of returned indexable
        `iter` - iterable used for initializing the indexable
      Returns:
        mutable indexable

    - #### zeroed

          @NotNull
          static MutableShortIndexable.Base zeroed(int size)

      Create a mutable short indexable with `size` `0.0` elements.
      Parameters:
        `size` - required size of returned mutable short indexable
      Returns:
        mutable short indexable of the given size initialized with `0.0`
      See Also:
        `init(int, short)`, `init(int, Supplier)`

    - #### init

          @NotNull
          static MutableShortIndexable.Base init(int size,
                                                          short value)

      Create a mutable
      Specified by:
        `init` in interface `ShortIndexable`
      Parameters:
        `size` - required size of returned mutable short indexable
        `value` - initial value of all elements
      Returns:
        mutable short indexable of the given size initialized with `value`
      See Also:
        `init(int, Supplier)`, `zeroed(int)`